﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Builder.Master" Inherits="System.Web.Mvc.ViewPage<Fluqi.Models.SpinnerModel>" %>
<%@ Import Namespace="Fluqi.Web.Demo.Helpers" %>

<asp:Content ID="Content1" ContentPlaceHolderID="DemoMainContent" runat="server">
<script src="<%=Url.Content("~/Scripts/spinner.js")%>" type="text/javascript"></script>
<%
	var spin = Html.CreateSpinner("spin");
	this.Model.ConfigureSpinner(spin)	;
%>
	<label for="myspinner">Spinner:</label>
	<br />

<%spin.Render();%>
</asp:Content>



<asp:Content ID="Content2" ContentPlaceHolderID="DemoExampleContent" runat="server">
<%using (Html.BeginForm("Spinner", "Builder")) {%>
	<input type="submit" value="UPDATE" />
	<ul class="small-label">
		<li><%=Html.LabelFor(vm=>vm.disabled)      %><%=Html.CheckBoxFor(vm=>vm.disabled, "Disables the spinner.")%></li>
		<li><%=Html.LabelFor(vm=>vm.min)           %><%=Html.TextBoxFor(vm=>vm.min, "Minimum value of the spinner.", "")%></li>
		<li><%=Html.LabelFor(vm=>vm.max)           %><%=Html.TextBoxFor(vm=>vm.max, "Maximum value of the spinner.", "")%></li>
		<li><%=Html.LabelFor(vm=>vm.downIconClass) %><%=Html.DropDownTipListFor(vm=>vm.downIconClass, List.IconListNames(), "Down icon.") %></li>
		<li><%=Html.LabelFor(vm=>vm.upIconClass)   %><%=Html.DropDownTipListFor(vm=>vm.upIconClass, List.IconListNames(), "Up icon.") %></li>
		<li><%=Html.LabelFor(vm=>vm.page)          %><%=Html.TextBoxFor(vm=>vm.page, "Page setting.", "")%></li>
	</ul>
	<hr />
	<h2>Test Harness Options</h2>
	<ul>
		<li><%=Html.LabelFor(vm=>vm.showEvents)    %><%=Html.CheckBoxFor(vm=>vm.showEvents, "Shows how events are wired up.")%></li>
		<li><%=Html.LabelFor(vm=>vm.renderCSS)     %><%=Html.CheckBoxFor(vm=>vm.renderCSS, "Shows the CSS generated by jQuery UI (so non-JavaScript users still see the layout/colours).")%></li>
		<li><%=Html.LabelFor(vm=>vm.prettyRender)  %><%=Html.CheckBoxFor(vm=>vm.prettyRender, "Shows the rendered control/JavaScript in a readable layout.  Turn this option off to see the compressed version (which is the default in a RELEASE build).")%></li>
	</ul>
	<input type="submit" value="UPDATE" />
<%}//form %>
</asp:Content>



<asp:Content ID="Content3" ContentPlaceHolderID="DemoCodeContent" runat="server">
<%
	var spin = Html.CreateSpinner("spin");
	this.Model.ConfigureSpinner(spin)	;
%>
<%=this.Model.CSharpCode(spin)%>
</asp:Content>



<asp:Content ID="Content4" ContentPlaceHolderID="DemoHtmlContent" runat="server">
<%
	var spin = Html.CreateSpinner("spin");
	this.Model.ConfigureSpinner(spin);

	spin
		.Rendering
			.SetAutoScript(false)
		.Finish()
	.Render();
%>
</asp:Content>



<asp:Content ID="Content5" ContentPlaceHolderID="DemoJavaScriptCodeContent" runat="server">
<%
	var spin = Html.CreateSpinner("spin");
	this.Model.ConfigureSpinner(spin)	;
%>
<%=this.Model.JavaScriptCode(spin)%>
</asp:Content>



<asp:Content ID="Content6" ContentPlaceHolderID="DemoMethodsContent" runat="server">
	<ul class="horizontal">
		<li><button id="disable" title="Disables the spinner.">Disable</button></li>
		<li><button id="enable" title="Enables the spinner.">Enable</button></li>
		<li><button id="widget" title="Shows the HTML for the .ui-spinner element.">Widget</button></li>
		<li><button id="getValue" title="Gets the value in the spinner.">Get Value</button></li>
		<li><button id="setValue" title="Sets the value of the spinner (to 50).">Set Value</button></li>
		<li><button id="isValid" title="Shows whether the value is valid (given the min/max).">Is Valid</button></li>
		<li><button id="destroy" title="Returns the button to it's pre-init state.">Destroy</button></li>
	</ul>
<%
	var spin = Html.CreateSpinner("spin");
	this.Model.ConfigureSpinner(spin)	;
%>
	<script type="text/javascript">
	$(document).ready(function() {
		$("#enable").click(function() { <%spin.Methods.Enable();%>; });
		$("#disable").click(function() { <%spin.Methods.Disable();%>; });
		$("#widget").click(function() { alert( "Widget HTML:\n\n" + <%spin.Methods.Widget();%>.html() ); });
		$("#getValue").click(function() { alert( "GetValues reports:\n\n" + <%spin.Methods.GetValue();%> ); });
		$("#setValue").click(function() { <%spin.Methods.SetValue(50);%>; });
		$("#isValid").click(function() { alert( <%spin.Methods.GetIsValid();%> ); });
		$("#destroy").click(function() {  if (confirm("are you sure you want to destroy the spinner?")) <%spin.Methods.Destroy();%>; });
	});
	</script>
</asp:Content>

